## 简体中文文档


### Vuet是什么？
Vuet是Vue.js的一种状态管理模式，它以`模块化管理`为核心，以`规则更新`为主，`手动更新`为辅来进行模块的状态更新，总之它给你提供了一片草原，由你来决定如何驰骋

### 全局API
- [全局方法](./global-function.md)
- [全局规则](./global-rules.md)
- [全局指令](./global-directives.md)
- [基本选项](./base-options.md)
- [模块选项](./modules-options.md)
- [实例属性](./instance-attr.md)
- [实例方法](./instance-function.md)

### 本地例子
- [route](../../examples/route)
- [once](../../examples/once)
- [need](../../examples/need)
- [life](../../examples/life)
- [兄弟组件通信](../../examples/brothers-communication)
- [页面后退，复原滚动位置](../../examples/scroll-cnode)
- [用户登录退出](../../examples/user-login-exit)  
运行例子
```bash
npm install
npm run dev # 本地打开地址: localhost:3000
```

### 相关教程
- [实现简易版vue-cnode，实现列表点击详情返回后显示之前的数据](https://cnodejs.org/topic/592398559e32cc84569a7228)
- [Vue.js轻松实现页面后退时，还原滚动位置](https://juejin.im/post/593cc512128fe1006ae14bd4)
- [Vue.js项目重构，轻松实现上拉加载滚动位置还原](https://juejin.im/post/59458aeaac502e5490d1160f)
- [Vue.js 实现用户登录退出和 e2e 测试](https://juejin.im/post/593eacb261ff4b006ca188d9)

### 相关项目
- [vue-cnode](https://github.com/lzxb/vue-cnode)

### 官方交流群
[Vuet.js开发交流群](//shang.qq.com/wpa/qunwpa?idkey=cc9b70a903a9df6c86380a6ec03f1488f6386200a2132d7d3a9fab0da37396eb)